Subject: Re: [PATCH net-next v2 0/5] Add PLB functionality to TCP

From: Jakub Kicinski <[email-masked]>
Date: Mon, 3 Oct 2022 16:42:23 -0700

On Fri, 30 Sep 2022 04:53:15 +0000 Mubashir Adnan Qureshi wrote:
> This patch series adds PLB (Protective Load Balancing) to TCP and hooks
> it up to DCTCP. PLB is disabled by default and can be enabled using
> relevant sysctls and support from underlying CC.
> 
> PLB (Protective Load Balancing) is a host based mechanism for load
> balancing across switch links. It leverages congestion signals(e.g. ECN)
> from transport layer to randomly change the path of the connection
> experiencing congestion. PLB changes the path of the connection by
> changing the outgoing IPv6 flow label for IPv6 connections (implemented
> in Linux by calling sk_rethink_txhash()). Because of this implementation
> mechanism, PLB can currently only work for IPv6 traffic. For more
> information, see the SIGCOMM 2022 paper:
>   https://doi.org/10.1145/3544216.3544226

A bit of an unfortunate timing. Linus just released 6.0 and we went
into feature freeze AKA merge window. Please repost in 2 weeks, after
v6.1-rc1 has been tagged.